<!DOCTYPE html>

<html xmlns:th="https://www.thymeleaf.org" th:replace="~{fragments/layout :: layout (~{::body},'owners')}">

  <body>

    <h2>Student Data</h2>

    <table id="vets" class="table table-striped">
        <thead>
        <tr>
            <th style="width: 150px;">Name</th>
            <th style="width: 200px;">Address</th>
            <th>City</th>
            <th style="width: 120px">Telephone</th>
            <th>Course</th>
        </tr>
        </thead>
        <tbody>
          <tr th:each="student : ${selections}">
              <td>
                  <a th:href="@{/owners/__${student.id}__}" th:text="${student.firstName + ' ' + student.lastName}"/></a>
              </td>
              <td th:text="${student.address}"/>
              <td th:text="${student.city}"/>
              <td th:text="${student.telephone}"/>
              <td><span th:each="course : ${student.courses}" th:text="${course.name} "/></td>
          </tr>
        </tbody>
    </table>

  </body>
</html>
